# Uses of Interface
org.eclipse.swt.widgets.Listener

Packages that use Listener
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.rap.rwt.widgets
org.eclipse.swt.widgets

## Uses of Listener in org.eclipse.nebula.jface.gridviewer

Fields in org.eclipse.nebula.jface.gridviewer declared as Listener
Modifier and Type
Field
Description
`protected Listener`
GridViewerColumn.`columnResizeListener`
Listener used to get informed when the colum resizes

## Uses of Listener in org.eclipse.rap.rwt.widgets

Methods in org.eclipse.rap.rwt.widgets with parameters of type Listener
Modifier and Type
Method
Description
`void`
DropDown.`addListener(int eventType, Listener listener)`
`void`
DropDown.`removeListener(int eventType, Listener listener)`

## Uses of Listener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Listener
Modifier and Type
Method
Description
`Listener[]`
Widget.`getListeners(int eventType)`
Returns an array of listeners who will be notified when an event of the given type occurs.
Methods in org.eclipse.swt.widgets with parameters of type Listener
Modifier and Type
Method
Description
`void`
Display.`addFilter(int eventType, Listener listener)`
Adds the listener to the collection of listeners who will be notified when an event of the given type occurs anywhere in a widget.
`void`
Display.`addListener(int eventType, Listener listener)`
Adds the listener to the collection of listeners who will be notified when an event of the given type occurs.
`void`
Widget.`addListener(int eventType, Listener listener)`
Adds the listener to the collection of listeners who will be notified when an event of the given type occurs.
`void`
Display.`removeFilter(int eventType, Listener listener)`
Removes the listener from the collection of listeners who will be notified when an event of the given type occurs anywhere in a widget.
`void`
Display.`removeListener(int eventType, Listener listener)`
Removes the listener from the collection of listeners who will be notified when an event of the given type occurs.
`void`
Widget.`removeListener(int eventType, Listener listener)`
Removes the listener from the collection of listeners who will be notified when an event of the given type occurs.